MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003213VCMIAI - Adventure Mappublic2022-04-23 15:152022-05-03 21:00
Reporterkdmcser 
Assigned ToNullkiller 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOSWindows 11OS Version21H2
Product Version0.99 
Target VersionFixed in Version1.next 
Summary0003213: Game crash when AI moves
DescriptionWhen I try to end the turn, the AI moves. After AI occupies
a town, game crashed. I save the last turn. And once I load the save. It appears.

My AI is set to NullKiller AI.
TagsNo tags attached.
Attached Filesrar file icon crash file and log.rar [^] (1,025,227 bytes) 2022-04-23 15:15
? file icon huaihuai.vcgm1 [^] (17,469,646 bytes) 2022-04-26 15:27
? file icon huaihuai.vsgm1 [^] (17,461,301 bytes) 2022-04-26 15:27

- Relationships

-  Notes
(0008280)
Povelitel (updater)
2022-04-26 06:42

could you add a save? To reproduce the problem
(0008283)
kdmcser (reporter)
2022-04-26 15:28
edited on: 2022-04-26 15:29

The vcgm1 and vsgm1 file has been added.
I have install lots of mods. Can it be reproducted without mods?

(0008287)
Povelitel (updater)
2022-04-28 05:57

Yes, the bug is now reproducing. Tnx
(0008288)
Povelitel (updater)
2022-05-02 16:02

fixed in https://github.com/vcmi/vcmi/commit/6da233c3870317c310ee88d9ff89403eb7215dd7 [^]
(0008289)
kdmcser (reporter)
2022-05-03 21:00

Thank you for solving it! A nice job!!!

- Issue History
Date Modified Username Field Change
2022-04-23 15:15 kdmcser New Issue
2022-04-23 15:15 kdmcser File Added: crash file and log.rar
2022-04-25 15:57 Povelitel Assigned To => Nullkiller
2022-04-25 15:57 Povelitel Status new => assigned
2022-04-26 06:42 Povelitel Note Added: 0008280
2022-04-26 15:27 kdmcser File Added: huaihuai.vcgm1
2022-04-26 15:27 kdmcser File Added: huaihuai.vsgm1
2022-04-26 15:28 kdmcser Note Added: 0008283
2022-04-26 15:29 kdmcser Note Edited: 0008283 View Revisions
2022-04-28 05:57 Povelitel Note Added: 0008287
2022-05-02 16:02 Povelitel Note Added: 0008288
2022-05-02 16:02 Povelitel Status assigned => resolved
2022-05-02 16:02 Povelitel Fixed in Version => 1.next
2022-05-02 16:02 Povelitel Resolution open => fixed
2022-05-03 21:00 kdmcser Note Added: 0008289

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2022 MantisBT Team
Hosting provided by DigitalOcean